Bug 832273 - [abrt] evolution-3.4.2-1.fc17: __pthread_mutex_lock: Process /usr/libexec/evolution/3.4/evolution-alarm-notify was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.4.2-1.fc17: __pthread_mutex_lock: Process /usr/libexec/evo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:0d9d99a5724b54e04311d7b2ee9...
:
: 833051 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 23:59 EDT by Mikhail
Modified: 2013-07-31 23:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:43:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (44.46 KB, text/plain)
2012-06-14 23:59 EDT, Mikhail
no flags Details
File: dso_list (9.36 KB, text/plain)
2012-06-15 00:00 EDT, Mikhail
no flags Details
File: build_ids (5.77 KB, text/plain)
2012-06-15 00:00 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-06-14 23:59:46 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/evolution/3.4/evolution-alarm-notify
crash_function: __pthread_mutex_lock
executable:     /usr/libexec/evolution/3.4/evolution-alarm-notify
kernel:         3.4.0-1.fc17.i686.PAE
pid:            11039
pwd:            /home/mikhail
time:           Пт. 15 июня 2012 09:49:03
uid:            1000
username:       mikhail
xsession_errors: (evolution-alarm-notify:11039): evolution-alarm-notify-WARNING **: alarm.c:254: Requested removal of nonexistent alarm!

backtrace:      Text file, 30046 bytes
build_ids:      Text file, 5904 bytes
dso_list:       Text file, 9587 bytes
maps:           Text file, 45528 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mikhail/10

core_backtrace:
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a 0x881b pthread_mutex_lock libpthread.so.0 -
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef 0xac18 - libxcb.so.1 -
:75dd838611972f941eddfbc872c11bb0e35fb8c2 0x3a54a - libX11.so.6 -
:75dd838611972f941eddfbc872c11bb0e35fb8c2 0x3a660 - libX11.so.6 -
:75dd838611972f941eddfbc872c11bb0e35fb8c2 0x3acaf _XEventsQueued libX11.so.6 -
:75dd838611972f941eddfbc872c11bb0e35fb8c2 0x2b578 XPending libX11.so.6 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x4591b - libgdk-3.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46aa2 g_main_context_prepare libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x4720f - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47472 g_main_context_iteration libglib-2.0.so.0 -
:42f394fcd1909e7621ee1d5a8aa43fbb5d864c91 0x291c4 ep_msg_send libedataserverui-3.0.so.1 -
:42f394fcd1909e7621ee1d5a8aa43fbb5d864c91 0x2b2a7 e_passwords_ask_password libedataserverui-3.0.so.1 -
:42f394fcd1909e7621ee1d5a8aa43fbb5d864c91 0x171ba e_credentials_authenticate_helper libedataserverui-3.0.so.1 -
:42f394fcd1909e7621ee1d5a8aa43fbb5d864c91 0x17484 e_client_utils_authenticate_handler libedataserverui-3.0.so.1 -
:434216adc838a3e9853de3109555d192f8ebba21 0xd0da e_gdbus_marshallers_BOOLEAN__POINTER libedataserver-1.2.so.16 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26a4e g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:434216adc838a3e9853de3109555d192f8ebba21 0x14012 e_client_emit_authenticate libedataserver-1.2.so.16 -
:434216adc838a3e9853de3109555d192f8ebba21 0x16ec3 client_process_authentication_idle_cb libedataserver-1.2.so.16 -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=10
:HOSTNAME=telecon17l.afbank.ru
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=928ad44a76a7008e0260558b00000016-1339682827.187363-507792418
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/mikhail/keyring-oPbuvC
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=mikhail
:USERNAME=mikhail
:MAIL=/var/spool/mail/mikhail
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mikhail/.local/bin:/home/mikhail/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mikhail
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=10813
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mikhail
:SHLVL=1
:LOGNAME=mikhail
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-V6A9AiFSOY,guid=b964045ec1311b5d59a552060000496b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/mikhail
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-mikhail-IaFZrx/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/10818,unix/unix:/tmp/.ICE-unix/10818
:GPG_AGENT_INFO=/run/user/mikhail/keyring-oPbuvC/gpg:0:1
:SSH_AUTH_SOCK=/run/user/mikhail/keyring-oPbuvC/ssh
:LC_TIME=ru_RU.utf8
:LC_NUMERIC=ru_RU.utf8
:LC_MONETARY=ru_RU.utf8
:LC_MEASUREMENT=ru_RU.utf8
:DESKTOP_AUTOSTART_ID=10355cc568a47044de13396828295693400000108180031

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15711                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15711                15711                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/mikhail/.xsession-errors
:2:/home/mikhail/.xsession-errors
:3:socket:[2734488]
:4:anon_inode:[eventfd]
:5:socket:[2734493]
:6:anon_inode:[eventfd]
:7:socket:[2734495]
:8:socket:[2734497]
:9:anon_inode:[eventfd]
:10:anon_inode:[eventfd]
:11:socket:[2734833]
:12:/dev/urandom
:13:anon_inode:inotify
:14:pipe:[5638165]
:15:pipe:[5638165]
:16:socket:[5638168]
:17:/home/mikhail/.cache/event-sound-cache.tdb.928ad44a76a7008e0260558b00000016.i386-redhat-linux-gnu

smolt_data:
:
:
:General
:=================================
:UUID: 24b82623-fdb0-487f-b726-0d6b01472500
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4787.68
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E4600  @ 2.40GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2400
:System Memory: 1980
:System Swap: 16382
:Vendor: Unknown
:System:  
:Form factor: Unknown
:Kernel: 3.4.0-1.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10672:32902:20298) pci, None, HOST/PCI, 82Q35 Express DRAM Controller
:(32902:10673:32902:20298) pci, pcieport, PCI/PCI, 82Q35 Express PCI Express Root Port
:(4523:24833:4523:24833) pci, pata_marvell, STORAGE, 88SE6101/6102 single-port PATA133 interface
:(32902:10544:32902:20298) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10530:32902:20298) pci, ahci, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller
:(32902:10516:32902:20298) pci, None, PCI/ISA, 82801IO (ICH9DO) LPC Interface Controller
:(32902:4285:32902:1) pci, e1000e, ETHERNET, 82566DM-2 Gigabit Network Connection
:(32902:9294:32902:20298) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10549:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:32902:10564) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:32902:10566) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:32902:10560) pci, pcieport, PCI/PCI, Optiplex 755
:(32902:10562:32902:10562) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10676:32902:20298) pci, None, SIMPLE, 82Q35 Express MEI Controller
:(32902:10568:32902:10568) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:32902:18) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43664:5963:43664) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:26457:5963:57747) pci, radeon, VIDEO, NI Turks [AMD Radeon HD 6500]
:(4545:22545:4545:22545) pci, firewire_ohci, FIREWIRE, FW322/323
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 5112811 2194639 2143446 1286144 971688 971688
:/dev/sda5 /home ext4 4096 4096 27766364 2575291 1184904 6955008 6853181 6853181
:

var_log_messages:
:Jun 15 09:49:03 telecon17l abrt[2484]: File '/usr/libexec/evolution/3.4/evolution-alarm-notify.#prelink#.0TSmSp' seems to be deleted
:Jun 15 09:49:03 telecon17l abrt[2484]: File '/usr/libexec/evolution/3.4/evolution-alarm-notify.#prelink#.0TSmSp' seems to be a prelink temporary file
:Jun 15 09:49:06 telecon17l abrt[2484]: Saved core dump of pid 11039 (/usr/libexec/evolution/3.4/evolution-alarm-notify) to /var/spool/abrt/ccpp-2012-06-15-09:49:03-11039 (30191616 bytes)
Comment 1 Mikhail 2012-06-14 23:59:54 EDT
Created attachment 591988 [details]
File: backtrace
Comment 2 Mikhail 2012-06-14 23:59:59 EDT
Created attachment 591989 [details]
File: maps
Comment 3 Mikhail 2012-06-15 00:00:05 EDT
Created attachment 591990 [details]
File: dso_list
Comment 4 Mikhail 2012-06-15 00:00:08 EDT
Created attachment 591991 [details]
File: build_ids
Comment 5 Milan Crha 2012-06-15 06:00:22 EDT
Thanks for a bug report. I see from the the backtrace that evolution-alarm-notify was trying to get password for your Tasks from your EWS account, but it crashed later on some pending X event. There do not seem to be issues in X code regarding this, it's usually an error on caller's side. I suppose this happens when you log in to the Gnome. Does it crash in a similar way when you run evolution-alarm-notify from a terminal? I'm asking, because I do not recall seeing any similar crash recently, thus it can be some kind of coincidence leading to the crash. You can run the process like this:
   $ /usr/libexec/evolution/3.4/evolution-alarm-notify
Comment 6 Milan Crha 2012-06-18 13:36:35 EDT
*** Bug 833051 has been marked as a duplicate of this bug. ***
Comment 7 Mikhail 2012-06-18 13:49:13 EDT
evolution-alarm-notify not crushed, instead it consumed all the resources of a processor core. I killed him with SEGV signal for get this debug info.
Comment 8 Fedora End Of Life 2013-07-03 20:13:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 23:43:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.